package com.bocloud.cmp.model.hmc;

public class HmdProfileHeaModel extends HmdGenericModel {
    private Integer logicalPortId; // 逻辑端口id
    private Integer physicalPortId; // 物理端口id
    private Integer portGroupId; // 端口组id
    private String allowedVlanIds; // 允许的vlanId
    private String allowedMacAddresses; // 允许的mac地址
    private HmdProfileModel profile; // 所属的概要文件
    private HmdServerHeaModel hea; // 使用的hea

    public Integer getLogicalPortId() {
        return logicalPortId;
    }

    public void setLogicalPortId(Integer logicalPortId) {
        this.logicalPortId = logicalPortId;
    }

    public Integer getPhysicalPortId() {
        return physicalPortId;
    }

    public void setPhysicalPortId(Integer physicalPortId) {
        this.physicalPortId = physicalPortId;
    }

    public Integer getPortGroupId() {
        return portGroupId;
    }

    public void setPortGroupId(Integer portGroupId) {
        this.portGroupId = portGroupId;
    }

    public String getAllowedVlanIds() {
        return allowedVlanIds;
    }

    public void setAllowedVlanIds(String allowedVlanIds) {
        this.allowedVlanIds = allowedVlanIds;
    }

    public String getAllowedMacAddresses() {
        return allowedMacAddresses;
    }

    public void setAllowedMacAddresses(String allowedMacAddresses) {
        this.allowedMacAddresses = allowedMacAddresses;
    }

    public HmdProfileModel getProfile() {
        return profile;
    }

    public void setProfile(HmdProfileModel profile) {
        this.profile = profile;
    }

    public HmdServerHeaModel getHea() {
        return hea;
    }

    public void setHea(HmdServerHeaModel hea) {
        this.hea = hea;
    }
}
